Package org.eclipse.cdt.core.model

## Interface ILanguageDescriptor

All Superinterfaces:
  `ICExtensionDescriptor`

    public interface ILanguageDescriptor
    extends ICExtensionDescriptor

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`String[]` `getContentTypeIds()`
`org.eclipse.core.runtime.content.IContentType[]` `getContentTypes()`
`ILanguage` `getLanguage()`

### Methods inherited from interface org.eclipse.cdt.core.ICExtensionDescriptor

`getId, getName`

### Method Detail

#### getLanguage

    ILanguage getLanguage()

#### getContentTypeIds

    String[] getContentTypeIds()

#### getContentTypes

    org.eclipse.core.runtime.content.IContentType[] getContentTypes()